Bug 1202077 - python-requests-2.6.0 is available
Summary: python-requests-2.6.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-requests
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Arun S A G
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-15 01:22 UTC by Upstream Release Monitoring
Modified: 2015-06-18 13:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 14:05:41 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2015-03-15 01:22:00 UTC
Latest upstream release: 2.6.0
Current version/release in rawhide: 2.5.3-1.fc23
URL: https://pypi.python.org/pypi/requests

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2015-03-15 01:23:33 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9235010

Comment 2 Ralph Bean 2015-03-28 11:50:01 UTC
Need to check if python-requests bundled a pre-release of python-urllib3 before bumping this.

Comment 3 Mathieu Bridon 2015-04-21 10:39:25 UTC
(In reply to Ralph Bean from comment #2)
> Need to check if python-requests bundled a pre-release of python-urllib3
> before bumping this.

They did:

  $ git log -p v2.5.3..v2.6.0 --reverse -- requests/packages/urllib3
  commit a0790f37b762ec737b2a4a13c167aad2defa8575
  Author: Ian Cordasco <graffatcolmingov@gmail.com>
  Date:   Tue Mar 10 19:34:34 2015 -0500
  
      Update urllib3 to 43b5b2b452e4344374de7d08ececcca495079b8d

It seems they require the dev version of 1.10.2, which hasn't been released yet. :(

Comment 4 Pierre-YvesChibon 2015-04-21 10:52:41 UTC
(In reply to Mathieu Bridon from comment #3)
> (In reply to Ralph Bean from comment #2)
> > Need to check if python-requests bundled a pre-release of python-urllib3
> > before bumping this.
> 
> They did:
> 
>   $ git log -p v2.5.3..v2.6.0 --reverse -- requests/packages/urllib3
>   commit a0790f37b762ec737b2a4a13c167aad2defa8575
>   Author: Ian Cordasco <graffatcolmingov@gmail.com>
>   Date:   Tue Mar 10 19:34:34 2015 -0500
>   
>       Update urllib3 to 43b5b2b452e4344374de7d08ececcca495079b8d
> 
> It seems they require the dev version of 1.10.2, which hasn't been released
> yet. :(

Do you know if they just updated their bundle or if they actually are using features from this new version?

Comment 5 Ralph Bean 2015-04-21 13:25:00 UTC
Filed a request for a release with urllib3 upstream:  https://github.com/shazow/urllib3/issues/592

Comment 6 Upstream Release Monitoring 2015-04-22 14:24:54 UTC
ralph's python-requests-2.6.0-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=629967

Comment 7 Fedora Update System 2015-04-22 14:28:37 UTC
python-requests-2.6.0-1.fc22,python-urllib3-1.10.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-requests-2.6.0-1.fc22,python-urllib3-1.10.3-1.fc22

Comment 8 Fedora Update System 2015-04-22 14:36:58 UTC
python-requests-2.6.0-1.fc21,python-urllib3-1.10.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-requests-2.6.0-1.fc21,python-urllib3-1.10.3-1.fc21

Comment 9 Fedora Update System 2015-04-26 12:51:39 UTC
python-requests-2.6.0-1.fc22, python-urllib3-1.10.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-05-28 18:03:22 UTC
python-requests-2.7.0-1.fc21,python-urllib3-1.10.4-2.20150503gita91975b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-requests-2.7.0-1.fc21,python-urllib3-1.10.4-2.20150503gita91975b.fc21

Comment 11 Fedora Update System 2015-06-08 14:40:57 UTC
python-requests-2.7.0-1.fc21,python-urllib3-1.10.4-3.20150503gita91975b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-requests-2.7.0-1.fc21,python-urllib3-1.10.4-3.20150503gita91975b.fc21

Comment 12 Fedora Update System 2015-06-18 13:23:22 UTC
python-requests-2.7.0-1.fc21, python-urllib3-1.10.4-3.20150503gita91975b.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.